/* 
 * The Finite State Machine Explorer
 * Copyright (c) 1995-1996
 * Matt Chapman (csuoq@csv.warwick.ac.uk)
 * Dept. Computer Science
 * University of Warwick, Coventry, UK.
 */

package Machine;

import java.awt.*;

/**
 * A class for a popup About box
 * @version    14 March 1996
 * @author     Matt Chapman
 */
public final class About extends Dialog
{
    public About(Frame f)
    {
		  super(f,"About",false); 

		  // create the popup
		  Panel p = new Panel();
		  Label title = new Label("The Finite State Machine Explorer");
		  title.setFont(new Font("Helvetica", Font.BOLD, 12));
		  title.setForeground(Color.red.darker());
		  p.add("North", title);
		  p.add("Center", new Label("by Matthew Chapman"));
		  p.add("South", new Label("(csuoq@csv.warwick.ac.uk)"));
		  add("Center", p);
		  add("South", new Button(" Dismiss "));
		  resize(256, 140);
    }

    public boolean action(Event event, Object arg)
    {
		  if (event.target instanceof Button)
		  {
				// user has clicked on dismiss button so close the box
				hide();
				repaint();
		  }
		  return true;
    }
}
