/* 
 * The Finite State Machine Explorer
 * Copyright (c) 1995-1996
 * Matt Chapman (csuoq@csv.warwick.ac.uk)
 * Dept. Computer Science
 * University of Warwick, Coventry, UK.
 */

package Machine;

import java.awt.*;

// for panning around the machine representation
public final class WPanner extends Panner 
{

    MainWidget mainw;

    public WPanner(int w, int h, int x, int y, int tx, int ty, MainWidget mw) 
    {
		  super(w,h,x,y,tx,ty);
		  mainw = mw;
		  setThumbColour(Color.green.darker());
    }

    public void motion() 
    {
		  mainw.setWindow(getXValue(),getYValue(),false);
    }
    
    public void release() 
    {
		  mainw.setWindow(getXValue(),getYValue(),true);
    }
}
