/* 
 * The Finite State Machine Explorer
 * Copyright (c) 1995-1996
 * Matt Chapman (csuoq@csv.warwick.ac.uk)
 * Dept. Computer Science
 * University of Warwick, Coventry, UK.
 */

package Machine;

import java.awt.*;

// for zooming the machine representation in and out
final class ZoomSlide extends Slider 
{

    MainWidget mainw;

    public ZoomSlide(MainWidget mw) 
    {
		  super();
		  mainw = mw;
    }

    public void motion() 
    {
		  mainw.setZoom(50.0f/this.GetValue(),false);
    }
    
    public void release() 
    {
		  mainw.setZoom(50.0f/this.GetValue(),true);
    }

}
